<?php
include(dirname(__FILE__) . "/lib/common_include.php");
//パラメータの整形
//パラメータは
//db_id
//sort_name[]
//sort_string[]
//として入ってくるので、これを変形する。
//[
//	"name"=>sort_name[i],
//	"sortStr"=>sort_string[i],
//]
//の形にする。

$id = null;
$names = [];
$errReq = null;
if( array_key_exists('db_id' , $_POST ) ){
	$id = $_POST['db_id'];
	if( !is_string($id) ){
		$errReq = CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
	}
}else{
	$errReq = CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
}


$aryNames =[];
$aryStrs =[];
$params = [ ];

if( array_key_exists('sort_name' , $_POST ) ){
	$aryNames = $_POST[ 'sort_name' ];
	if( !is_array($aryNames) ){
		$errReq = CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
	}
}
if( array_key_exists( 'sort_string' , $_POST ) ){
	$aryStrs = $_POST[ 'sort_string' ];
	if( !is_array($aryStrs) ){
		$errReq = CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
	}
}
if( $errReq == null){
	foreach( $aryNames as $idx => $name ){
		if( !is_string($name) ){
			$errReq = CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
			break;
		};
		$params[ $idx ] = [ 'name' => $name , 'sortStr' => '' ];
	}
}
if( $errReq == null){
	foreach( $aryStrs as $idx => $str ){
		if( !is_string($str) ){
			$errReq = CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
			break;
		};

		if( ! array_key_exists( $idx , $params) ){
			$params[ $idx ] = [ 'name' => '' , 'sortStr' => $str ];
		}
		$params[ $idx ][ 'sortStr' ] = $str;
	};
}


if( $errReq == null){

	$db = new usrDb($id);
	if( ! $db->isEnable() ){
		$res = $db->error;
	}else{
		$res = $db->chgSysSort( $params );
	};
	C\res($res);
}else{
	C\res($errReq);
}

